<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:04 CET 2009 -->
<TITLE>
AggregatingBinaryOperator
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.operator.AggregatingBinaryOperator interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AggregatingBinaryOperator";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AggregatingBinaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="class in ch.javasoft.math.operator"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/AggregatingBinaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AggregatingBinaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.operator</FONT>
<BR>
Interface AggregatingBinaryOperator&lt;T,A&gt;</H2>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingBinaryOperator.html#line.44"><B>AggregatingBinaryOperator&lt;T,A&gt;</B></A></DL>
</PRE>

<P>
The <code>AggregatingBinaryOperator</code> performs an operation on two
 operand arrays and returns a single output value of the same type. A typical 
 operation is the inner product of two vectors.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingBinaryOperator.Id</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constants identifying standard operators of this kind</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html#operate(A[], int, int, A[], int, int, A, int, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src1,
               int&nbsp;src1RowFrom,
               int&nbsp;src1Col,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src2,
               int&nbsp;src2RowFrom,
               int&nbsp;src2Col,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;dst,
               int&nbsp;dstIndex,
               int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating binary operation &oplus; on elements of two 
 matrices, writing the result back into an array:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html#operate(A[], int, int, A[], int, int, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src1,
               int&nbsp;src1RowFrom,
               int&nbsp;src1Col,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src2,
               int&nbsp;src2RowFrom,
               int&nbsp;src2Col,
               int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating binary operation &oplus; on elements of two 
 matrices and returns the result:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html#operate(A[], int, int, A, int, A, int, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src1,
               int&nbsp;src1RowFrom,
               int&nbsp;src1Col,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src2,
               int&nbsp;src2IndexFrom,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;dst,
               int&nbsp;dstIndex,
               int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating binary operation &oplus; on elements of a matrix 
 and a vector, writing the result back into an array:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html#operate(A[], int, int, A, int, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src1,
               int&nbsp;src1RowFrom,
               int&nbsp;src1Col,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src2,
               int&nbsp;src2IndexFrom,
               int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating binary operation &oplus; on elements of a matrix 
 and a vector and returns the result:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html#operate(A, int, A, int, A, int, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src1,
               int&nbsp;src1IndexFrom,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src2,
               int&nbsp;src2IndexFrom,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;dst,
               int&nbsp;dstIndex,
               int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating binary operation &oplus; on elements of two 
 vectors, writing the result back into an array:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html#operate(A, int, A, int, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src1,
               int&nbsp;src1IndexFrom,
               <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src2,
               int&nbsp;src2IndexFrom,
               int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the aggregating binary operation &oplus; on elements of two 
 vectors and returns the result:</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="operate(java.lang.Object,int,java.lang.Object,int,int)"><!-- --></A><A NAME="operate(A, int, A, int, int)"><!-- --></A><H3>
operate</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">T</A> <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingBinaryOperator.html#line.61"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src1,
          int&nbsp;src1IndexFrom,
          <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src2,
          int&nbsp;src2IndexFrom,
          int&nbsp;length)</PRE>
<DL>
<DD>Performs the aggregating binary operation &oplus; on elements of two 
 vectors and returns the result:
 <pre>
   return = src1[off1 : off1+len-1] &oplus; src2[off2 : off2+len-1]
     off1 : src1IndexFrom       
     off2 : src2IndexFrom       
     len  : length
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src1</CODE> - the first operand vector<DD><CODE>src1IndexFrom</CODE> - the start index in the vector, inclusive<DD><CODE>src2</CODE> - the second operand vector<DD><CODE>src2IndexFrom</CODE> - the start index in the vector, inclusive<DD><CODE>length</CODE> - the number of vector elements to consider</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,int,java.lang.Object,int,int)"><!-- --></A><A NAME="operate(A[], int, int, A, int, int)"><!-- --></A><H3>
operate</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">T</A> <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingBinaryOperator.html#line.81"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src1,
          int&nbsp;src1RowFrom,
          int&nbsp;src1Col,
          <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src2,
          int&nbsp;src2IndexFrom,
          int&nbsp;length)</PRE>
<DL>
<DD>Performs the aggregating binary operation &oplus; on elements of a matrix 
 and a vector and returns the result:
 <pre>
   return = src1[row1 : row1+len-1][col1] &oplus; src2[off2 : off2+len-1]
     row1 : src1RowFrom
     col1 : src1Col
     off2 : src2IndexFrom       
     len  : length
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src1</CODE> - the first operand matrix<DD><CODE>src1RowFrom</CODE> - the start row index in the operand matrix, inclusive<DD><CODE>src1Col</CODE> - the column index in the matrix<DD><CODE>src2</CODE> - the second operand vector<DD><CODE>src2IndexFrom</CODE> - the start index in the vector, inclusive<DD><CODE>length</CODE> - the number of vector elements to consider</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,int,java.lang.Object,int,int,int)"><!-- --></A><A NAME="operate(A[], int, int, A[], int, int, int)"><!-- --></A><H3>
operate</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">T</A> <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingBinaryOperator.html#line.103"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src1,
          int&nbsp;src1RowFrom,
          int&nbsp;src1Col,
          <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src2,
          int&nbsp;src2RowFrom,
          int&nbsp;src2Col,
          int&nbsp;length)</PRE>
<DL>
<DD>Performs the aggregating binary operation &oplus; on elements of two 
 matrices and returns the result:
 <pre>
   return = src1[row1 : row1+len-1][col1] &oplus; src2[row2 : row2+len-1][col2]
     row1 : src1RowFrom
     col1 : src1Col
     row2 : src2RowFrom
     col2 : src2Col
     len  : length
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src1</CODE> - the first operand matrix<DD><CODE>src1RowFrom</CODE> - the start row index in the operand matrix, inclusive<DD><CODE>src1Col</CODE> - the column index in the matrix<DD><CODE>src2</CODE> - the second operand array<DD><CODE>src2RowFrom</CODE> - the start row index in the operand matrix, inclusive<DD><CODE>src2Col</CODE> - the column index in the matrix<DD><CODE>length</CODE> - the number of vector elements to consider</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,java.lang.Object,int,java.lang.Object,int,int)"><!-- --></A><A NAME="operate(A, int, A, int, A, int, int)"><!-- --></A><H3>
operate</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingBinaryOperator.html#line.124"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src1,
             int&nbsp;src1IndexFrom,
             <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src2,
             int&nbsp;src2IndexFrom,
             <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;dst,
             int&nbsp;dstIndex,
             int&nbsp;length)</PRE>
<DL>
<DD>Performs the aggregating binary operation &oplus; on elements of two 
 vectors, writing the result back into an array:
 <pre>
 dst[ind] = src1[off1 : off1+len-1] &oplus; src2[off2 : off2+len-1]
     ind  : dstIndex    
     off1 : src1IndexFrom       
     off2 : src2IndexFrom       
     len  : length
 </pre>&oplus;
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src1</CODE> - the first operand vector<DD><CODE>src1IndexFrom</CODE> - the start index in the vector, inclusive<DD><CODE>src2</CODE> - the second operand vector<DD><CODE>src2IndexFrom</CODE> - the start index in the vector, inclusive<DD><CODE>dst</CODE> - the result array<DD><CODE>dstIndex</CODE> - the index in the result array<DD><CODE>length</CODE> - the number of vector elements to consider</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,int,java.lang.Object,int,java.lang.Object,int,int)"><!-- --></A><A NAME="operate(A[], int, int, A, int, A, int, int)"><!-- --></A><H3>
operate</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingBinaryOperator.html#line.147"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src1,
             int&nbsp;src1RowFrom,
             int&nbsp;src1Col,
             <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;src2,
             int&nbsp;src2IndexFrom,
             <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;dst,
             int&nbsp;dstIndex,
             int&nbsp;length)</PRE>
<DL>
<DD>Performs the aggregating binary operation &oplus; on elements of a matrix 
 and a vector, writing the result back into an array:
 <pre>
 dst[ind] = src1[row1 : row1+len-1][col1] &oplus; src2[off2 : off2+len-1]
     ind  : dstIndex    
     row1 : src1RowFrom
     col1 : src1Col
     off2 : src2IndexFrom       
     len  : length
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src1</CODE> - the first operand vector<DD><CODE>src1RowFrom</CODE> - the start row index in the operand matrix, inclusive<DD><CODE>src1Col</CODE> - the column index in the matrix<DD><CODE>src2</CODE> - the second operand vector<DD><CODE>src2IndexFrom</CODE> - the start index in the vector, inclusive<DD><CODE>dst</CODE> - the result array<DD><CODE>dstIndex</CODE> - the index in the result array<DD><CODE>length</CODE> - the number of vector elements to consider</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,int,java.lang.Object,int,int,java.lang.Object,int,int)"><!-- --></A><A NAME="operate(A[], int, int, A[], int, int, A, int, int)"><!-- --></A><H3>
operate</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/math/operator/AggregatingBinaryOperator.html#line.172"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src1,
             int&nbsp;src1RowFrom,
             int&nbsp;src1Col,
             <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>[]&nbsp;src2,
             int&nbsp;src2RowFrom,
             int&nbsp;src2Col,
             <A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="type parameter in AggregatingBinaryOperator">A</A>&nbsp;dst,
             int&nbsp;dstIndex,
             int&nbsp;length)</PRE>
<DL>
<DD>Performs the aggregating binary operation &oplus; on elements of two 
 matrices, writing the result back into an array:
 <pre>
 dst[ind] = src1[row1 : row1+len-1][col1] &oplus; src2[row2 : row2+len-1][col2]
     ind  : dstIndex    
     row1 : src1RowFrom
     col1 : src1Col
     row2 : src2RowFrom
     col2 : src2Col
     len  : length
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src1</CODE> - the first operand matrix<DD><CODE>src1RowFrom</CODE> - the start row index in the operand matrix, inclusive<DD><CODE>src1Col</CODE> - the column index in the matrix<DD><CODE>src2</CODE> - the second operand array<DD><CODE>src2RowFrom</CODE> - the start row index in the operand matrix, inclusive<DD><CODE>src2Col</CODE> - the column index in the matrix<DD><CODE>dst</CODE> - the result array<DD><CODE>dstIndex</CODE> - the index in the result array<DD><CODE>length</CODE> - the number of vector elements to consider</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AggregatingBinaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="class in ch.javasoft.math.operator"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/AggregatingBinaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AggregatingBinaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
